{"openapi":"3.0.3","info":{"contact":{"name":"Scalar360 support","email":"support@scalar360.com","url":"https://scalar360.com/developers"},"license":{"name":"Proprietary — Scalar360 Terms of Service","url":"https://scalar360.com/terms"},"termsOfService":"https://scalar360.com/terms","version":"1.0","title":"Scalar360 API","description":"REST API for Scalar360. Authenticate with OAuth 2.0 (server-based or self client) and send `Authorization: Scalar360-oauthtoken <access_token>`. Every call runs as the authorizing user, inside their organization, role and plan."},"servers":[{"url":"https://api.scalar360.com","description":"Scalar360"}],"tags":[{"name":"accounting","description":"60 endpoints"},{"name":"assets","description":"40 endpoints"},{"name":"audit-log","description":"1 endpoints"},{"name":"batches","description":"4 endpoints"},{"name":"bills","description":"17 endpoints"},{"name":"composite-items","description":"5 endpoints"},{"name":"contacts","description":"16 endpoints"},{"name":"credit-notes","description":"10 endpoints"},{"name":"crm","description":"45 endpoints"},{"name":"custom-fields","description":"9 endpoints"},{"name":"customers","description":"5 endpoints"},{"name":"dashboard-data","description":"3 endpoints"},{"name":"daybook","description":"2 endpoints"},{"name":"document-email-settings","description":"2 endpoints"},{"name":"document-emails","description":"1 endpoints"},{"name":"documents","description":"4 endpoints"},{"name":"drive","description":"49 endpoints"},{"name":"email-templates","description":"5 endpoints"},{"name":"expense-categories","description":"5 endpoints"},{"name":"expenses","description":"27 endpoints"},{"name":"health","description":"1 endpoints"},{"name":"hooks","description":"1 endpoints"},{"name":"import-jobs","description":"5 endpoints"},{"name":"integrations","description":"21 endpoints"},{"name":"inventory","description":"47 endpoints"},{"name":"inventory-adjustments","description":"4 endpoints"},{"name":"invoices","description":"21 endpoints"},{"name":"leads","description":"39 endpoints"},{"name":"manufacturing","description":"47 endpoints"},{"name":"me","description":"15 endpoints"},{"name":"notifications","description":"12 endpoints"},{"name":"payables","description":"4 endpoints"},{"name":"payroll","description":"146 endpoints"},{"name":"plans","description":"2 endpoints"},{"name":"pos","description":"34 endpoints"},{"name":"price-lists","description":"5 endpoints"},{"name":"projects","description":"382 endpoints"},{"name":"purchase","description":"1 endpoints"},{"name":"purchase-debit-notes","description":"11 endpoints"},{"name":"purchase-orders","description":"5 endpoints"},{"name":"purchase-receipts","description":"6 endpoints"},{"name":"purchase-returns","description":"5 endpoints"},{"name":"quotes","description":"8 endpoints"},{"name":"receivables","description":"4 endpoints"},{"name":"recurring","description":"8 endpoints"},{"name":"reorder","description":"3 endpoints"},{"name":"reports","description":"36 endpoints"},{"name":"sales","description":"3 endpoints"},{"name":"sales-orders","description":"7 endpoints"},{"name":"sales-returns","description":"4 endpoints"},{"name":"scm","description":"6 endpoints"},{"name":"settings","description":"22 endpoints"},{"name":"shipments","description":"8 endpoints"},{"name":"stock","description":"1 endpoints"},{"name":"stock-transfers","description":"8 endpoints"},{"name":"table-views","description":"3 endpoints"},{"name":"todos","description":"5 endpoints"},{"name":"user-preferences","description":"3 endpoints"},{"name":"vendors","description":"7 endpoints"}],"paths":{"/api/contacts":{"get":{"tags":["contacts"],"summary":"Get all contacts","operationId":"ContactController_getAllContacts","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer"}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer"}},{"name":"q","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"search","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"source","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"origin","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"hasGstin","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"startDate","in":"query","required":false,"schema":{"type":"string","format":"date"}},{"name":"endDate","in":"query","required":false,"schema":{"type":"string","format":"date"}},{"name":"sortBy","in":"query","required":false,"schema":{"type":"string"}},{"name":"sortDir","in":"query","required":false,"schema":{"type":"string","default":"desc"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.contacts.READ"]}]},"post":{"tags":["contacts"],"summary":"Create contact","operationId":"ContactController_createContact","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"required"},"companyName":{"type":"string"},"phone":{"type":"string"},"email":{"type":"string"},"gstin":{"type":"string"},"billingAddress":{"type":"string"},"shippingAddress":{"type":"string"},"state":{"type":"string"},"pin":{"type":"string"},"source":{"type":"string"},"assignedTo":{"type":"string"},"notes":{"type":"string"},"customFields":{"type":"object","additionalProperties":{"type":"string"}}},"required":["name","phone"]}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.contacts.CREATE"]}]}},"/api/contacts/import":{"post":{"tags":["contacts"],"summary":"Import contacts","operationId":"ContactController_importContacts","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.contacts.CREATE"]}]}},"/api/contacts/import/template.csv":{"get":{"tags":["contacts"],"summary":"Template csv","operationId":"ContactController_templateCsv","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.contacts.READ"]}]}},"/api/contacts/import/template.xlsx":{"get":{"tags":["contacts"],"summary":"Template xlsx","operationId":"ContactController_templateXlsx","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.contacts.READ"]}]}},"/api/contacts/{gid}":{"delete":{"tags":["contacts"],"summary":"Delete contact","operationId":"ContactController_deleteContact","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.contacts.DELETE"]}]},"get":{"tags":["contacts"],"summary":"Get contact by gid","operationId":"ContactController_getContactByGid","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.contacts.READ"]}]},"put":{"tags":["contacts"],"summary":"Update contact","operationId":"ContactController_updateContact","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"required"},"companyName":{"type":"string"},"phone":{"type":"string"},"email":{"type":"string"},"gstin":{"type":"string"},"billingAddress":{"type":"string"},"shippingAddress":{"type":"string"},"state":{"type":"string"},"pin":{"type":"string"},"source":{"type":"string"},"assignedTo":{"type":"string"},"notes":{"type":"string"},"customFields":{"type":"object","additionalProperties":{"type":"string"}}}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.contacts.UPDATE"]}]}},"/api/contacts/{gid}/activities":{"get":{"tags":["contacts"],"summary":"List activities","operationId":"ContactController_listActivities","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.contacts.READ"]}]},"post":{"tags":["contacts"],"summary":"Add activity","operationId":"ContactController_addActivity","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","description":"required, not blank"},"note":{"type":"string"},"activityTime":{"type":"string","format":"date-time"},"mentions":{"type":"array","items":{"type":"string","format":"uuid"}}},"required":["type"]}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.contacts.CREATE"]}]}},"/api/contacts/{gid}/activities/{activityGid}":{"delete":{"tags":["contacts"],"summary":"Delete activity","operationId":"ContactController_deleteActivity","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"activityGid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.contacts.DELETE"]}]}},"/api/contacts/{gid}/documents":{"get":{"tags":["contacts"],"summary":"List documents","operationId":"ContactController_listDocuments","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.contacts.READ"]}]},"post":{"tags":["contacts"],"summary":"Upload document","operationId":"ContactController_uploadDocument","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"activityId","in":"query","required":false,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.contacts.CREATE"]}]}},"/api/contacts/{gid}/documents/{docGid}":{"delete":{"tags":["contacts"],"summary":"Delete document","operationId":"ContactController_deleteDocument","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"docGid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.contacts.DELETE"]}]}},"/api/contacts/{gid}/documents/{docGid}/link":{"get":{"tags":["contacts"],"summary":"Document link","operationId":"ContactController_documentLink","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"docGid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.contacts.READ"]}]}},"/api/contacts/{gid}/emails":{"get":{"tags":["contacts"],"summary":"Contact emails","operationId":"CrmEmailController_contactEmails","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.contacts.READ"]}]}},"/api/crm/activity":{"get":{"tags":["crm"],"summary":"List","operationId":"CrmFeedController_list","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","default":"1"}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer","default":"20"}},{"name":"q","in":"query","required":false,"schema":{"type":"string"}},{"name":"category","in":"query","required":false,"schema":{"type":"string"}},{"name":"startDate","in":"query","required":false,"schema":{"type":"string","format":"date"}},{"name":"endDate","in":"query","required":false,"schema":{"type":"string","format":"date"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.READ"]}]}},"/api/crm/analytics":{"get":{"tags":["crm"],"summary":"Analytics","operationId":"CrmAnalyticsController_analytics","parameters":[{"name":"from","in":"query","required":false,"schema":{"type":"string","format":"date"}},{"name":"to","in":"query","required":false,"schema":{"type":"string","format":"date"}},{"name":"pipeline","in":"query","required":false,"schema":{"type":"string","format":"uuid"}},{"name":"owner","in":"query","required":false,"schema":{"type":"string"}},{"name":"source","in":"query","required":false,"schema":{"type":"string"}},{"name":"granularity","in":"query","required":false,"schema":{"type":"string"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.READ"]}]}},"/api/crm/automations":{"get":{"tags":["crm"],"summary":"List","operationId":"CrmAutomationController_list","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.READ"]}]},"post":{"tags":["crm"],"summary":"Create","operationId":"CrmAutomationController_create","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"required, not blank"},"triggerType":{"type":"string","description":"required, not blank"},"enabled":{"type":"boolean"},"definition":{}},"required":["triggerType","name"]}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.CREATE"]}]}},"/api/crm/automations/{gid}":{"delete":{"tags":["crm"],"summary":"Delete","operationId":"CrmAutomationController_delete","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.DELETE"]}]},"put":{"tags":["crm"],"summary":"Update","operationId":"CrmAutomationController_update","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"required, not blank"},"triggerType":{"type":"string","description":"required, not blank"},"enabled":{"type":"boolean"},"definition":{}}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.UPDATE"]}]}},"/api/crm/automations/{gid}/enabled":{"patch":{"tags":["crm"],"summary":"Set enabled","operationId":"CrmAutomationController_setEnabled","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"boolean"}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.UPDATE"]}]}},"/api/crm/email-settings":{"get":{"tags":["crm"],"summary":"Settings","operationId":"CrmEmailController_settings","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.READ"]}]},"put":{"tags":["crm"],"summary":"Save settings","operationId":"CrmEmailController_saveSettings","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"syncEnabled":{"type":"boolean"},"sharing":{"type":"string"},"mailbox":{"type":"string"},"dropboxAddress":{"type":"string"}}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.UPDATE"]}]}},"/api/crm/emails/{gid}":{"get":{"tags":["crm"],"summary":"Content","operationId":"CrmEmailController_content","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.READ"]}]}},"/api/crm/forms":{"get":{"tags":["crm"],"summary":"List forms","operationId":"CrmFormController_listForms","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.READ"]}]},"post":{"tags":["crm"],"summary":"Create form","operationId":"CrmFormController_createForm","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"required"},"slug":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"},"successMessage":{"type":"string"},"accentColor":{"type":"string"},"defaultPipelineId":{"type":"string","format":"uuid"},"defaultStage":{"type":"string"},"defaultSource":{"type":"string"},"fields":{"type":"array","items":{"type":"object","properties":{"fieldKey":{"type":"string"},"label":{"type":"string"},"fieldType":{"type":"string"},"required":{"type":"boolean"},"visible":{"type":"boolean"},"displayOrder":{"type":"integer"},"options":{"type":"string"},"custom":{"type":"boolean"}}}},"blocks":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"text":{"type":"string"},"level":{"type":"integer"},"fieldKey":{"type":"string"},"label":{"type":"string"},"required":{"type":"boolean"},"fieldType":{"type":"string"},"options":{"type":"string"},"custom":{"type":"boolean"},"span":{"type":"integer"},"displayOrder":{"type":"integer"},"layout":{"type":"object","additionalProperties":{"type":"object"}}}}},"theme":{"type":"object","properties":{"fontFamily":{"type":"string"},"headingColor":{"type":"string"},"textColor":{"type":"string"},"labelColor":{"type":"string"},"backgroundColor":{"type":"string"},"cardColor":{"type":"string"},"buttonColor":{"type":"string"},"buttonTextColor":{"type":"string"},"buttonLabel":{"type":"string"},"buttonRadius":{"type":"integer"},"fieldGap":{"type":"integer"}}},"allowedOrigins":{"type":"array","items":{"type":"string"}}},"required":["name"]}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.CREATE"]}]}},"/api/crm/forms/field-catalog":{"get":{"tags":["crm"],"summary":"Field catalog","operationId":"CrmFormController_fieldCatalog","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.READ"]}]}},"/api/crm/forms/{gid}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}}":{"delete":{"tags":["crm"],"summary":"Delete form","operationId":"CrmFormController_deleteForm","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"4","in":"path","required":true,"schema":{"type":"string"}},{"name":"12","in":"path","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.DELETE"]}]},"get":{"tags":["crm"],"summary":"Get form","operationId":"CrmFormController_getForm","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"4","in":"path","required":true,"schema":{"type":"string"}},{"name":"12","in":"path","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.READ"]}]},"put":{"tags":["crm"],"summary":"Update form","operationId":"CrmFormController_updateForm","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"4","in":"path","required":true,"schema":{"type":"string"}},{"name":"12","in":"path","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"required"},"slug":{"type":"string"},"title":{"type":"string"},"description":{"type":"string"},"successMessage":{"type":"string"},"accentColor":{"type":"string"},"defaultPipelineId":{"type":"string","format":"uuid"},"defaultStage":{"type":"string"},"defaultSource":{"type":"string"},"fields":{"type":"array","items":{"type":"object","properties":{"fieldKey":{"type":"string"},"label":{"type":"string"},"fieldType":{"type":"string"},"required":{"type":"boolean"},"visible":{"type":"boolean"},"displayOrder":{"type":"integer"},"options":{"type":"string"},"custom":{"type":"boolean"}}}},"blocks":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string"},"type":{"type":"string"},"text":{"type":"string"},"level":{"type":"integer"},"fieldKey":{"type":"string"},"label":{"type":"string"},"required":{"type":"boolean"},"fieldType":{"type":"string"},"options":{"type":"string"},"custom":{"type":"boolean"},"span":{"type":"integer"},"displayOrder":{"type":"integer"},"layout":{"type":"object","additionalProperties":{"type":"object"}}}}},"theme":{"type":"object","properties":{"fontFamily":{"type":"string"},"headingColor":{"type":"string"},"textColor":{"type":"string"},"labelColor":{"type":"string"},"backgroundColor":{"type":"string"},"cardColor":{"type":"string"},"buttonColor":{"type":"string"},"buttonTextColor":{"type":"string"},"buttonLabel":{"type":"string"},"buttonRadius":{"type":"integer"},"fieldGap":{"type":"integer"}}},"allowedOrigins":{"type":"array","items":{"type":"string"}}}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.UPDATE"]}]}},"/api/crm/forms/{gid}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}}/publish":{"post":{"tags":["crm"],"summary":"Publish form","operationId":"CrmFormController_publishForm","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"4","in":"path","required":true,"schema":{"type":"string"}},{"name":"12","in":"path","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.CREATE"]}]}},"/api/crm/forms/{gid}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}}/unpublish":{"post":{"tags":["crm"],"summary":"Unpublish form","operationId":"CrmFormController_unpublishForm","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"4","in":"path","required":true,"schema":{"type":"string"}},{"name":"12","in":"path","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.CREATE"]}]}},"/api/crm/lead-priorities":{"get":{"tags":["crm"],"summary":"List lead priorities","operationId":"CrmSettingsController_listLeadPriorities","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.READ"]}]},"post":{"tags":["crm"],"summary":"Create lead priority","operationId":"CrmSettingsController_createLeadPriority","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"color":{"type":"string"},"displayOrder":{"type":"integer"},"active":{"type":"boolean"}}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.CREATE"]}]}},"/api/crm/lead-priorities/{gid}":{"delete":{"tags":["crm"],"summary":"Delete lead priority","operationId":"CrmSettingsController_deleteLeadPriority","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.DELETE"]}]},"put":{"tags":["crm"],"summary":"Update lead priority","operationId":"CrmSettingsController_updateLeadPriority","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"color":{"type":"string"},"displayOrder":{"type":"integer"},"active":{"type":"boolean"}}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.UPDATE"]}]}},"/api/crm/lead-sources":{"get":{"tags":["crm"],"summary":"List lead sources","operationId":"CrmSettingsController_listLeadSources","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.READ"]}]},"post":{"tags":["crm"],"summary":"Create lead source","operationId":"CrmSettingsController_createLeadSource","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"color":{"type":"string"},"displayOrder":{"type":"integer"},"active":{"type":"boolean"}}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.CREATE"]}]}},"/api/crm/lead-sources/{gid}":{"delete":{"tags":["crm"],"summary":"Delete lead source","operationId":"CrmSettingsController_deleteLeadSource","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.DELETE"]}]},"put":{"tags":["crm"],"summary":"Update lead source","operationId":"CrmSettingsController_updateLeadSource","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"color":{"type":"string"},"displayOrder":{"type":"integer"},"active":{"type":"boolean"}}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.UPDATE"]}]}},"/api/crm/lead-types":{"get":{"tags":["crm"],"summary":"List lead types","operationId":"CrmSettingsController_listLeadTypes","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.READ"]}]},"post":{"tags":["crm"],"summary":"Create lead type","operationId":"CrmSettingsController_createLeadType","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"color":{"type":"string"},"displayOrder":{"type":"integer"},"active":{"type":"boolean"}}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.CREATE"]}]}},"/api/crm/lead-types/{gid}":{"delete":{"tags":["crm"],"summary":"Delete lead type","operationId":"CrmSettingsController_deleteLeadType","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.DELETE"]}]},"put":{"tags":["crm"],"summary":"Update lead type","operationId":"CrmSettingsController_updateLeadType","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"color":{"type":"string"},"displayOrder":{"type":"integer"},"active":{"type":"boolean"}}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.UPDATE"]}]}},"/api/crm/meta/oauth/start":{"get":{"tags":["crm"],"summary":"Start oauth","operationId":"CrmMetaController_startOAuth","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.READ"]}]}},"/api/crm/meta/pages":{"get":{"tags":["crm"],"summary":"List pages","operationId":"CrmMetaController_listPages","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.READ"]}]}},"/api/crm/meta/pages/{pageId}":{"delete":{"tags":["crm"],"summary":"Disconnect","operationId":"CrmMetaController_disconnect","parameters":[{"name":"pageId","in":"path","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.DELETE"]}]}},"/api/crm/meta/pages/{pageId}/connect":{"post":{"tags":["crm"],"summary":"Connect","operationId":"CrmMetaController_connect","parameters":[{"name":"pageId","in":"path","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"leadSource":{"type":"string"},"pipelineId":{"type":"string","format":"uuid"}}}}},"required":false},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.CREATE"]}]}},"/api/crm/meta/pages/{pageId}/forms":{"get":{"tags":["crm"],"summary":"Forms","operationId":"CrmMetaController_forms","parameters":[{"name":"pageId","in":"path","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.READ"]}]}},"/api/crm/meta/pages/{pageId}/forms/{formId}/mapping":{"put":{"tags":["crm"],"summary":"Save form mapping","operationId":"CrmMetaController_saveFormMapping","parameters":[{"name":"pageId","in":"path","required":true,"schema":{"type":"string"}},{"name":"formId","in":"path","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"formName":{"type":"string"},"mappings":{"type":"object","additionalProperties":{"type":"string"}},"leadSource":{"type":"string"},"pipelineId":{"type":"string","format":"uuid"}}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.UPDATE"]}]}},"/api/crm/meta/status":{"get":{"tags":["crm"],"summary":"Status","operationId":"CrmMetaController_status","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.READ"]}]}},"/api/crm/pipelines":{"get":{"tags":["crm"],"summary":"List pipelines","operationId":"CrmSettingsController_listPipelines","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.READ"]}]},"post":{"tags":["crm"],"summary":"Create pipeline","operationId":"CrmSettingsController_createPipeline","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"displayOrder":{"type":"integer"}}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.CREATE"]}]}},"/api/crm/pipelines/order":{"put":{"tags":["crm"],"summary":"Reorder pipelines","operationId":"CrmSettingsController_reorderPipelines","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid"}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.UPDATE"]}]}},"/api/crm/pipelines/{gid}":{"delete":{"tags":["crm"],"summary":"Delete pipeline","operationId":"CrmSettingsController_deletePipeline","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.DELETE"]}]},"put":{"tags":["crm"],"summary":"Update pipeline","operationId":"CrmSettingsController_updatePipeline","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string"},"displayOrder":{"type":"integer"}}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.UPDATE"]}]}},"/api/crm/pipelines/{gid}/stages":{"get":{"tags":["crm"],"summary":"List pipeline stages","operationId":"CrmSettingsController_listPipelineStages","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.READ"]}]},"put":{"tags":["crm"],"summary":"Replace pipeline stages","operationId":"CrmSettingsController_replacePipelineStages","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"key":{"type":"string"},"label":{"type":"string"},"visible":{"type":"boolean"},"system":{"type":"boolean"},"winProbability":{"type":"integer"}}}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.crm.UPDATE"]}]}},"/api/custom-fields":{"get":{"tags":["custom-fields"],"summary":"List","operationId":"CustomFieldController_list","parameters":[{"name":"entityType","in":"query","required":true,"schema":{"type":"string"}},{"name":"recordGid","in":"query","required":false,"schema":{"type":"string","format":"uuid"}},{"name":"includeInactive","in":"query","required":false,"schema":{"type":"boolean","default":"false"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.custom-fields.READ"]}]},"post":{"tags":["custom-fields"],"summary":"Create","operationId":"CustomFieldController_create","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"entityType":{"type":"string","description":"required"},"ownerGid":{"type":"string","format":"uuid"},"fieldKey":{"type":"string","description":"required"},"label":{"type":"string","description":"required"},"fieldType":{"type":"string","enum":["TEXT","NUMBER","DATE","SELECT","PHONE","FILE"]},"options":{"type":"string"},"required":{"type":"boolean"},"displayOrder":{"type":"integer"},"active":{"type":"boolean"}},"required":["label","fieldKey","entityType"]}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.custom-fields.CREATE"]}]}},"/api/custom-fields/file":{"delete":{"tags":["custom-fields"],"summary":"Delete","operationId":"CustomFieldFileController_delete","parameters":[{"name":"url","in":"query","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.custom-fields.DELETE"]}]}},"/api/custom-fields/upload/{entity}/{gid}/{fieldKey}":{"post":{"tags":["custom-fields"],"summary":"Upload","operationId":"CustomFieldFileController_upload","parameters":[{"name":"entity","in":"path","required":true,"schema":{"type":"string"}},{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"fieldKey","in":"path","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.custom-fields.CREATE"]}]}},"/api/custom-fields/values/{entity}/batch":{"post":{"tags":["custom-fields"],"summary":"Batch","operationId":"BusinessCustomFieldValueController_batch","parameters":[{"name":"entity","in":"path","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","items":{"type":"string","format":"uuid"}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.custom-fields.CREATE"]}]}},"/api/custom-fields/values/{entity}/{recordGid}":{"get":{"tags":["custom-fields"],"summary":"Get","operationId":"BusinessCustomFieldValueController_get","parameters":[{"name":"entity","in":"path","required":true,"schema":{"type":"string"}},{"name":"recordGid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.custom-fields.READ"]}]},"put":{"tags":["custom-fields"],"summary":"Save","operationId":"BusinessCustomFieldValueController_save","parameters":[{"name":"entity","in":"path","required":true,"schema":{"type":"string"}},{"name":"recordGid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}},"required":false},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.custom-fields.UPDATE"]}]}},"/api/custom-fields/{gid}":{"delete":{"tags":["custom-fields"],"summary":"Delete","operationId":"CustomFieldController_delete","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.custom-fields.DELETE"]}]},"put":{"tags":["custom-fields"],"summary":"Update","operationId":"CustomFieldController_update","parameters":[{"name":"gid","in":"path","required":true,"schema":{"type":"string","format":"uuid"}},{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"entityType":{"type":"string","description":"required"},"ownerGid":{"type":"string","format":"uuid"},"fieldKey":{"type":"string","description":"required"},"label":{"type":"string","description":"required"},"fieldType":{"type":"string","enum":["TEXT","NUMBER","DATE","SELECT","PHONE","FILE"]},"options":{"type":"string"},"required":{"type":"boolean"},"displayOrder":{"type":"integer"},"active":{"type":"boolean"}}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.custom-fields.UPDATE"]}]}},"/api/hooks/in/{token}":{"post":{"tags":["hooks"],"summary":"Receive","operationId":"IncomingWebhookController_receive","parameters":[{"name":"token","in":"path","required":true,"schema":{"type":"string"}},{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"multipart/form-data":{"schema":{"type":"object","properties":{"file":{"type":"string","format":"binary"}}}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.hooks.CREATE"]}]}},"/api/leads":{"get":{"tags":["leads"],"summary":"Get all leads","operationId":"LeadController_getAllLeads","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer"}},{"name":"pageSize","in":"query","required":false,"schema":{"type":"integer"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer"}},{"name":"q","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"search","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"stage","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"startDate","in":"query","required":false,"schema":{"type":"string","format":"date"}},{"name":"endDate","in":"query","required":false,"schema":{"type":"string","format":"date"}},{"name":"sortBy","in":"query","required":false,"schema":{"type":"string"}},{"name":"sortDir","in":"query","required":false,"schema":{"type":"string","default":"desc"}},{"name":"assignee","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"leadType","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"priority","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"dueDateStatus","in":"query","required":false,"schema":{"type":"string","default":""}},{"name":"dueStartDate","in":"query","required":false,"schema":{"type":"string","format":"date"}},{"name":"dueEndDate","in":"query","required":false,"schema":{"type":"string","format":"date"}},{"name":"minDealValue","in":"query","required":false,"schema":{"type":"number"}},{"name":"maxDealValue","in":"query","required":false,"schema":{"type":"number"}},{"$ref":"#/components/parameters/OrganizationId"}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Envelope"}}},"description":"OK"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Invalid request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Missing, expired or out-of-scope access token"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"The user's role or plan does not allow this, or the user is not a member of the requested organization"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Not found"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"description":"Rate limit exceeded"}},"security":[{"oauth2":["Scalar360.leads.READ"]}]},"post":{"tags":["leads"],"summary":"Create lead","operationId":"LeadController_createLead","parameters":[{"$ref":"#/components/parameters/OrganizationId"}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"name":{"type":"string","description":"required"},"companyName":{"type":"string"},"phone":{"type":"string"},"secondaryPhone":{"type":"string"},"email":{"type":"string"},"gstin":{"type":"string"},"billingAddress":{"type":"string"},"shippingAddress":{"type":"string"},"state":{"type":"string"},"pin":{"type":"string"},"source":{"type":"string"},"leadType":{"type":"string"},"pipelineId":{"type":"string","format":"uuid"},"stage":{"type":"string"},"dealValue":{"type":
[...]
